## avifile 0.7.38.20030710-1.1

=== debian/changelog ===
avifile (1:0.7.38.20030710-1.1) unstable; urgency=low

  * Non-maintainer upload (old RC bug).
  * debian/control:
    + Removed g++ from the build dependencies (build essential).
    + Removed deprecated conditional build dependencies (Closes: #245653).
    + Uncapitalised short descriptions.
    + Mention libavifile in the plugins' short descriptions.
    + Set the debhelper build dependency to (>= 2.0).
  * debian/avifile-utils.menu:
    + Quoted strings where appropriate.
  * autogen.sh:
    + Specifically call aclocal-1.4 and automake-1.4 because of
      incompatibilities with newer versions.
  * lib/video/sub_ft.cpp:
    + Fixed compilation with recent FreeType versions (Closes: #228072).
  * plugins/libwin32/loader/ldt_keeper.c:
    + Applied patch from Daniel Schepler which fixes another build issue.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  1 Jun 2004 04:15:30 +0200

avifile (1:0.7.38.20030710-1) unstable; urgency=low
  * closing report for xvid as its already part of debian (Closes: 191459)
  * it's been most probably fixed with VCR itself - next time this bug
    belongs to vcr package - and it's not problem of avifile package
    to keep vcr uptodate - moreover it already provides package with same
    usability (Closes: 186313)
  * modified Description info slightly (Closes: 190710)
  * surely I know CVS compiles with gcc-3.3 - I'm the developer :)
    (Closes: 196980)
  * unless provided with a sample of such problematic movie I can't
    see such problem with current version. (Closes: 180327)
  * bashism has been removed from Makefiles. (Closes: 186716)
  * finaly released new version. (Closes: 189469)
  * library renamed to use -0.7 (are you know happy now :)? (Closes: 145860)
  * fixed some documentation files (Closes: 191462)
    empty manpage template has been deprecated unfortunaly,
    missing pages will be written when enough time will be found

 -- Zdenek Kabelac <kabi@debian.org>  Thu, 10 Jul 2003 13:40:44 +0200

avifile (0.7.36.20030401-1) unstable; urgency=low
  * reduced amount of debug messages
  * support for timertables in Avicap by Alexander Rawass
  * fixed bashism in vidix Makefile.am (Closes: 186716)

 -- Zdenek Kabelac <kabi@debian.org>  Fri, 01 Apr 2003 13:40:44 +0200

avifile (0.7.33.20030314-1) unstable; urgency=low
  * better usage of shared libraries (smaller vidix part)

 -- Zdenek Kabelac <kabi@debian.org>  Fri, 14 Mar 2003 13:40:44 +0200

avifile (0.7.32.20030219-1) unstable; urgency=low
  * again fixed some stupid bugs with ffmpeg decompression
  * recompiled with new Qt (Closes: 179723)
  * aviplay is compiled with -fPIC - non-PIC part
    were not discovered inside current release (Closes: 176994)
  * Qt dependencies are somewhat wrong with latest Qt packages
    (Closes: 179875, 180506)
  * added manpages instead of undocumented (but there is not big
    difference)
  * accepted c102 modification by Andreas Metzler.

 -- Zdenek Kabelac <kabi@debian.org>  Wed, 19 Feb 2003 13:40:44 +0200

avifile (0.7.29.20030204-1) unstable; urgency=low
  * oops fixed somewhat fatal bug 
    the lame plugin went in because plugin name change
    added configure options so it will not happen again this way
  * aviplay is compiled with fPIC - the only problem
    is that some parts aren't easily compilable
    with PIC - also it makes the code slower (Closes: 169474)

 -- Zdenek Kabelac <kabi@debian.org>  Tue, 04 Feb 2003 23:40:44 +0200

avifile (0.7.28.20030129-1) unstable; urgency=low
  * xvid's been already moved to contrib (Closes: 145024)
  * it's playing some mpegs (though so far not very
    comfortable) (Closes: 100809)
  * linked libavqt with libaviplay (Closes: 176761)
  * new version, fixed Replaces (Closes: 178390, 178861, 168801, 165243)
  * subtitles are using special option -sub
    (updated manpage) (Closes: 178626)

 -- Zdenek Kabelac <kabi@debian.org>  Thu, 29 Jan 2003 23:40:44 +0200

avifile (0.7.27.20030122-1) unstable; urgency=low
  * ok long time has passed from the last update - meanwhile a lot
    of code has been made - especially the ffmpeg has a lot of
    improvements.
  * no user has reported such problem (Closes: 160461)
    maybe user has some bad local configuration/options
  * ok xvid/win32 plugins are now in contrib (though I still disagree
    with this - but when other developer has made somewhat simple NMU
    let's leave them there for now (Closes: 143356)
  * divx plugin also moved to separate package which goes
    into contrib and requires separate instalation of divx4linux.
    (Closes: 167406)
  * fixed some compilation options (Closes: 132994)
    for building use debian/builddeb  - configure will detect
    configure options best for given platform.
  * hopefully icon location is now fixed (Closes: 167742)
    (it looks like some bug for an old version of avifile)
  * compiled with incorect flags by NMU (Closes: 169134, 169701)

 -- Zdenek Kabelac <kabi@debian.org>  Thu, 22 Jan 2003 14:40:44 +0200

avifile (0.7.15.20020816-1.1) unstable; urgency=low
  * NMU
  * move avifile-win32-plugin and avifile-xvid-plugin into contrib
    (closes: #145024).

 -- Robert Bihlmeyer <robbe@debian.org>  Sun, 27 Oct 2002 21:40:44 +0100

avifile (0.7.15.20020816-1) unstable; urgency=low
  * fixing some memory leaks
  * better MP3 VBR support

 -- Zdenek Kabelac <kabi@debian.org>  Fri, 16 Aug 2002 14:00:14 +0100

avifile (0.7.14.20020802-1) unstable; urgency=low
  * heavily updated networking support for asf streaming servers
  * this cvs snapshot already contains fix for (Closes: 154745)

 -- Zdenek Kabelac <kabi@debian.org>  Fri, 2 Aug 2002 14:00:14 +0100

avifile (0.7.12.20020719-1) unstable; urgency=low
  * many many many (really) fixes again - completely redesigned some internal
    library parts (and yet it's just half of the work)
  * fixed support for mjpeg/vp31
  * slightly better avirecompress
  * minimalized usage of exception (Closes: 119633, 120828)

