=== debian/control ===
Source: avifile
Section: graphics
Priority: optional
Maintainer: Zdenek Kabelac <kabi@debian.org>
Standards-Version: 3.5.8
Build-Depends: debhelper (>= 2.0), libqt3-mt-dev (>= 3:3.1.1-2), libsdl1.2-dev, libaudiofile-dev, libjpeg62-dev, libvorbis-dev, libogg-dev, libmad0-dev, autoconf (>= 2.13-1), automake1.4 , libtool, gettext, patch, netpbm | pnmtopng

Package: libavifile-0.7c102
Architecture: any
Section: libs
Suggests: avifile-player, avifile-utils, avifile-mad-plugin, avifile-mjpeg-plugin, avifile-vorbis-plugin, avifile-win32-plugin, avifile-xvid-plugin, avifile-divx-plugin
Depends: ${shlibs:Depends}
Replaces: libavifile0.7, libavifile0.7c102
Conflicts: libavifile0.7, libavifile0.7c102
Description: shared libraries for AVI read/writing
 Library that allows programs to read and write compressed
 AVI files (Indeo Video, DivX :-), etc.) under x86 Linux.
 (De)Compression is performed with various audio/video plugins
 (Win32, FFMpeg, MAD, Vorbis, ...).
 Formats like mpeg, mov are partly supported.
 For more info about usage of Win32, Lame and OpenDivX plugin
 see README.debian.

Package: libavifile-0.7-dev
Architecture: any
Section: devel
Depends: libavifile-0.7c102 (= ${Source-Version})
Replaces: libaviplay, libavifile-dev, libavifile0.6-dev, libavifile0.7-dev
Conflicts: libavifile-dev, libavifile0.6, libavifile-0.6-dev, libavifile0.7-dev
Description: development header files for libavifile
 Contains the symlinks, headers and object files needed to compile
 and link programs which use aviplay library.

Package: avifile-mad-plugin
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: MAD - MPEG audio plugin for libavifile
 Plugin for decompression of MPEG-1 Layer I/II/III audio streams.
 This mp3 decoder is known to give most precise results.

Package: avifile-mjpeg-plugin
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: MJPEG video plugin for libavifile
 Plugin for playing/encoding MJPEG video stream - this implementation
 is rather slower, usage of ffmpeg or win32 libraries is better 
 choice here. Basicaly it only serves as a demo plugin.
 In general you do not need this plugin.

Package: avifile-vorbis-plugin
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Replaces: libavifile0.7 (<< 0.7.26.20030121-1)
Description: Vorbis audio plugin for libavifile
 Plugin for decompression of Vorbis audio streams.

Package: avifile-win32-plugin
Architecture: any
Section: contrib/libs
Depends: ${shlibs:Depends}
Description: Win32 audio/video plugin for libavifile
 Plugin for using Win32 DLL libraries (codecs) in avifile.
 Default location for them is /usr/lib/win32.
 NOTICE:
   Win32 codecs have to be downloaded separately.
   They are NOT part of this package.
   See documentation for more details.

Package: avifile-xvid-plugin
Architecture: any
Section: contrib/libs
Depends: ${shlibs:Depends}
Description: XviD video encoding plugin for libavifile
 Plugin for encoding DivX4 video.
 NOTICE:
   This plugin requires separate installation of libxvidecore library
   which is not a part of this package nor Debian itself.
   See documentation for more details.
   In general you do not need this plugin.

Package: avifile-divx-plugin
Architecture: any
Section: contrib/libs
Depends: ${shlibs:Depends}
Replaces: libavifile0.7 (<< 0.7.27.20030122-1)
Description: Divx4Linux video encoding plugin for libavifile
 Plugin for encoding DivX4 video.
 NOTICE:
   This plugin requires separate installation of libdivxdecore
   and libdivxencore library which is not a part of this package 
   nor Debian itself. See documentation for more details who
   to obtain this library. 
   In general you do not need this plugin.

Package: avifile-player
Architecture: any
Priority: extra
Section: graphics
Suggests: avifile-mad-plugin, avifile-mjpeg-plugin, avifile-vorbis-plugin, avifile-win32-plugin, avifile-xvid-plugin
Depends: ${shlibs:Depends}
Description: Video player for AVI/ASF/WMF files
 Player for various AVI, ASF, WFM (with streaming support) files.
 Separate local instalation of Windows DLL codecs might be needed
 for the optimal usage of this player.
 See README.debian for more information.

Package: avifile-utils
Architecture: any
Priority: extra
Section: graphics
Depends: ${shlibs:Depends}
Conflicts: avifile-samples
Replaces: avifile-samples
Description: utility programs using the avifile library
 Qt-based AVI TV capturing, AVI recompression, benchmarking,
 joining/cutting AVI files. These programs might have more bugs
 as they are not as extensively developed as the player.
