## avifile 0.7.38.20030710-1.2

=== debian/changelog ===
avifile (1:0.7.38.20030710-1.2) unstable; urgency=low

  * NMU
  * Fix avifile.pc to return the right include path (Closes: #205203)
  * Add missin dependencies in the -dev package. libxft-dev libxrender-dev (Closes: #202992)
  * Apply a patch to fix build under amd64 (Closes: #253504)
  * Move the pkgconfig file to the -dev package nad add replaces.

 -- Christian Marillat <marillat@debian.org>  Thu,  4 Nov 2004 16:23:45 +0100
