=== debian/control ===
--- 
+++ 
@@ -24,8 +24,8 @@
 Package: libavifile-0.7-dev
 Architecture: any
 Section: devel
-Depends: libavifile-0.7c102 (= ${Source-Version})
-Replaces: libaviplay, libavifile-dev, libavifile0.6-dev, libavifile0.7-dev
+Depends: libavifile-0.7c102 (= ${Source-Version}), libxft-dev, libxrender-dev
+Replaces: libaviplay, libavifile-dev, libavifile0.6-dev, libavifile0.7-dev, libavifile-0.7c102 (<= 1:0.7.38.20030710-1.2)
 Conflicts: libavifile-dev, libavifile0.6, libavifile-0.6-dev, libavifile0.7-dev
 Description: development header files for libavifile
  Contains the symlinks, headers and object files needed to compile
