=== debian/rules ===
--- 
+++ 
@@ -93,9 +93,11 @@
 #        rm config.cache
 #	CFLAGS="-g -O2 -march=i586" CXXFLAGS="-g -O2 -march=i586"
 # if you wish to build packege without AC3 support: --disable-ffmpeg-ac3
-	./configure --prefix=/usr --disable-lame --enable-lame-bin --enable-quiet --enable-release --disable-dependency-tracking --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
+	./configure --prefix=/usr --disable-lame --enable-lame-bin \
+	--enable-quiet --enable-release --disable-dependency-tracking \
+	--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
+
 	touch configure-stamp
-
 
 install: build
 	dh_testdir
@@ -121,6 +123,7 @@
 
 	@$(INST) $(installprefix)/usr/bin/avifile-config debian/$(devel)/usr/bin/
 	@mv $(installprefix)/usr/include debian/$(devel)/usr
+	@mv $(installprefix)/usr/lib/pkgconfig debian/$(devel)/usr/lib
 
 	@find $(installprefix)/usr/lib/$(aviversion)/ -name '*.la' | xargs rm
 
@@ -185,4 +188,3 @@
 # this way we are saving few inodes and making it more user friendly
 # as doc is concentrated in one directory
 # I don't like the idea to use .link file - this is much simplier
-	@for i in $(player) $(utils) $(devel) $(allplugins) ; do \
