## avifile 0.7.43.20050224-1ubuntu6

=== debian/changelog ===
avifile (1:0.7.43.20050224-1ubuntu6) breezy; urgency=low

  * Fixed the conflicts...

 -- Sebastian Dröge <mail@slomosnail.de>  Thu, 25 Aug 2005 00:21:54 +0200

avifile (1:0.7.43.20050224-1ubuntu5) breezy; urgency=low

  * Rebuild for slang2 transition

 -- Sebastian Dröge <mail@slomosnail.de>  Wed, 24 Aug 2005 19:28:36 +0200

avifile (1:0.7.43.20050224-1ubuntu4) breezy; urgency=low

  * Rebuild for CXX Transition 

 -- Charles Majola <charles@ubuntu.com>  Tue, 31 May 2005 13:02:55 +0000

avifile (1:0.7.43.20050224-1ubuntu3) breezy; urgency=low

  * Make conflicts unconditional

 -- Charles Majola <charles@ubuntu.com>  Thu, 19 May 2005 13:49:02 +0000

avifile (1:0.7.43.20050224-1ubuntu2) breezy; urgency=low

  * CXX transition:
    - Renamed libavifile-0.7c102 to libavifile-0.7
  * Fixed build-deps: depend on new C++ ABI libraries  

 -- Charles Majola <charles@ubuntu.com>  Wed, 18 May 2005 13:05:35 +0000

avifile (1:0.7.43.20050224-1ubuntu1) breezy; urgency=low

  * Applied gcc-4.0 FTBFS patch from Andreas Jochens

 -- Charles Majola <charles@ubuntu.com>  Mon,  9 May 2005 15:54:47 +0200

avifile (1:0.7.43.20050224-1) unstable; urgency=low
  * updated to latest ffmpeg
  * fix packaging (Closes: 252982, 259417, 295486)
  * fixed xvid plugin (Closes: 225172)
    it's users responsibility to install this libxvidcore4 library
    as it is no a part of default debian project.
    this is just plugin which utilizies this library.
  * Xserver crashes are really Xserver crashes (Closes: 260808)
    I affraid you will have to bother the author of your XV driver
    directly - forwarding this bug to Xserver maintainer won't help you
    try to use Xorg server - should be doing fairly better job...
  * fixed the bug with ffmpeg pictures (Closes: 274730)
    of course some other bugs might appear elsewhere
  * fixed long time ago (Closes: 274591)
    there are no defaults and code compiles fine with gcc-4.0
  * removed COPYING file - the copyright file already proprer links
    for licencies (Closes: 290069)
  * only decoding for new API is supported at this moment
    (Closes: 225081)
  * fixed link to marillat site (Closes: 264322)
  * fixed this changlog file so it contains also previous NMU
  * package should be compilable by any automake tool found in debian
  * partialy fixed info about some packages (Closes: 209432)
    but more will come later ;)

 -- Zdenek Kabelac <kabi@debian.org>  Thu, 24 Feb 2005 10:49:49 +0100

avifile (1:0.7.42.20050215-1) unstable; urgency=low
  * fix libmad compilation for X86_64 (Closes: 253504)
  * quoted AM_PATH_AVIFILE (Closes: 267807)
  * unless I'm proven with buggy compiler output I'm closing this bug report 
    as it compiles fine with current gcc-4.0 (Closes: 294473, 285677, 264543)
  * compiles fine with freetype2 (Closes: 228072)
  * removed compilation with qt2 (Closes: 245653)
  * name change fixed (Closes: 202627)

 -- Zdenek Kabelac <kabi@debian.org>  Thu, 15 Feb 2005 13:40:44 +0100
