=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Zdenek Kabelac <kabi@debian.org>
 Standards-Version: 3.5.8
-Build-Depends: debhelper (>= 2.0), libqt3-mt-dev (>= 3:3.1.1-2), libsdl1.2-dev, libaudiofile-dev, libjpeg62-dev, libvorbis-dev, libogg-dev, libmad0-dev, autoconf (>= 2.13-1), automake1.4 , libtool, gettext, patch, netpbm | pnmtopng
+Build-Depends: debhelper (>= 2.0), libqt3-mt-dev (>= 3:3.3.3-7ubuntu4), libsdl1.2-dev | libsdl1.1-dev | libsdl1.0-dev , libaudiofile-dev, libjpeg62-dev, libvorbis-dev, libogg-dev, libmad0-dev, libxft-dev, autoconf (>= 2.13-1), automake (>= 1.4-1) | automake1.7 | automake1.8 | automake1.4 , libtool, gettext, patch, netpbm | pnmtopng
 
-Package: libavifile-0.7c102
+Package: libavifile-0.7
 Architecture: any
 Section: libs
 Suggests: avifile-player, avifile-utils, avifile-mad-plugin, avifile-mjpeg-plugin, avifile-vorbis-plugin, avifile-win32-plugin, avifile-xvid-plugin, avifile-divx-plugin
 Depends: ${shlibs:Depends}
-Replaces: libavifile0.7, libavifile0.7c102
-Conflicts: libavifile0.7, libavifile0.7c102
+Replaces: libavifile0.7, libavifile0.7c102, libavifile-0.7c102
+Conflicts: libavifile0.7, libavifile0.7c102, libavifile-0.7c102
 Description: shared libraries for AVI read/writing
  Library that allows programs to read and write compressed
  AVI files (Indeo Video, DivX :-), etc.) under x86 Linux.
@@ -24,9 +24,9 @@
 Package: libavifile-0.7-dev
 Architecture: any
 Section: devel
-Depends: libavifile-0.7c102 (= ${Source-Version}), libxft-dev, libxrender-dev
-Replaces: libaviplay, libavifile-dev, libavifile0.6-dev, libavifile0.7-dev, libavifile-0.7c102 (<= 1:0.7.38.20030710-1.2)
-Conflicts: libavifile-dev, libavifile0.6, libavifile-0.6-dev, libavifile0.7-dev
+Depends: libavifile-0.7 (= ${Source-Version}), libxft-dev, libxrender-dev
+Replaces: libaviplay, libavifile-dev, libavifile0.6-dev, libavifile0.7-dev
+Conflicts: libavifile-0.7c102 (<= 1:0.7.42.20050215-1), libavifile0.7, libavifile-dev, libavifile0.6, libavifile-0.6-dev, libavifile0.7-dev
 Description: development header files for libavifile
  Contains the symlinks, headers and object files needed to compile
  and link programs which use aviplay library.
@@ -55,18 +55,27 @@
 Depends: ${shlibs:Depends}
 Replaces: libavifile0.7 (<< 0.7.26.20030121-1)
 Description: Vorbis audio plugin for libavifile
- Plugin for decompression of Vorbis audio streams.
+ This package provides a plugin for the avifile library to decompress 
+ audio streams in Vorbis, which is a fully open, non-proprietary, 
+ patent-and-royalty-free, general-purpose compressed audio format.
+ .
+ You might want to install this package if you are using the avifile
+ video player and want to watch videos which provide audio using this
+ format.
+ .
+ Homepage: http://avifile.sourceforge.net
 
 Package: avifile-win32-plugin
 Architecture: any
 Section: contrib/libs
 Depends: ${shlibs:Depends}
 Description: Win32 audio/video plugin for libavifile
- Plugin for using Win32 DLL libraries (codecs) in avifile.
- Default location for them is /usr/lib/win32.
+ This package provides a plugin for the avifile library to compress
+ and decompress audio video streams with the help of Win32 DLL libraries
+ (codecs) Default location for them is /usr/lib/win32.
  NOTICE:
    Win32 codecs have to be downloaded separately.
-   They are NOT part of this package.
+   They are NOT part of this package!!!
    See documentation for more details.
 
 Package: avifile-xvid-plugin
@@ -76,8 +85,8 @@
 Description: XviD video encoding plugin for libavifile
  Plugin for encoding DivX4 video.
  NOTICE:
-   This plugin requires separate installation of libxvidecore library
-   which is not a part of this package nor Debian itself.
+   This plugin requires separate installation of libxvidcore 1.0 library
+   which is not a part of this package nor official Debian itself.
    See documentation for more details.
    In general you do not need this plugin.
 
@@ -86,7 +95,8 @@
 Section: contrib/libs
 Depends: ${shlibs:Depends}
 Replaces: libavifile0.7 (<< 0.7.27.20030122-1)
-Description: Divx4Linux video encoding plugin for libavifile
+Conflicts: libavifile0.7 (<< 0.7.27.20030122-1)
+Description: Divx4Linux video encoding plugin
  Plugin for encoding DivX4 video.
  NOTICE:
    This plugin requires separate installation of libdivxdecore
