=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 package = avifile
 version = -0.7
 aviversion = $(package)$(version)
-libraries = lib$(aviversion)c102
+libraries = lib$(aviversion)
 #DH2 using normal name
 #tmp
 devel = lib$(aviversion)-dev
@@ -96,8 +96,8 @@
 	./configure --prefix=/usr --disable-lame --enable-lame-bin \
 	--enable-quiet --enable-release --disable-dependency-tracking \
 	--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
+	touch configure-stamp
 
-	touch configure-stamp
 
 install: build
 	dh_testdir
@@ -110,6 +110,8 @@
 # this has been all tricky way to fix some problems with makefile - no longer needed
 #	@make DESTDIR=$(prefix) datadir=debian/$(player)/usr/share install
 	@make DESTDIR=$(installprefix) pkgdocdir=/usr/share/doc/$(libraries) install
+# remove COPYING file - using debian common licencies
+	@rm debian/$(libraries)/usr/share/doc/$(libraries)/COPYING
 
 # ok some 'smart people' invented ugly 32color palette and there is no easy way
 # to convert our icon to this format - so handmade work was necessary
@@ -141,10 +143,10 @@
 	for i in $(allplugins) ; do \
 		mkdir -p debian/$$i/usr/lib/$(aviversion) ; done
 	@mv $(installprefix)/usr/lib/$(aviversion)/mad* debian/$(madplugin)/usr/lib/$(aviversion)/
-	if test -e $(installprefix)/usr/lib/$(aviversion)/mjpeg.so ; then mv $(installprefix)/usr/lib/$(aviversion)/mjpeg* debian/$(mjpegplugin)/usr/lib/$(aviversion)/ ; fi
+	if test -e $(installprefix)/usr/lib/$(aviversion)/osmjpeg.so ; then mv $(installprefix)/usr/lib/$(aviversion)/osmjpeg* debian/$(mjpegplugin)/usr/lib/$(aviversion)/ ; fi
 	if test -e $(installprefix)/usr/lib/$(aviversion)/vorbis_audio.so ; then mv $(installprefix)/usr/lib/$(aviversion)/vorbis* debian/$(vorbisplugin)/usr/lib/$(aviversion)/ ; fi
 	if test -e $(installprefix)/usr/lib/$(aviversion)/win32.so ; then mv $(installprefix)/usr/lib/$(aviversion)/win32* debian/$(win32plugin)/usr/lib/$(aviversion)/ ; fi
-	if test -e $(installprefix)/usr/lib/$(aviversion)/xvid.so ; then mv $(installprefix)/usr/lib/$(aviversion)/xvid* debian/$(xvidplugin)/usr/lib/$(aviversion)/ ; fi
+	if test -e $(installprefix)/usr/lib/$(aviversion)/xvid4.so ; then mv $(installprefix)/usr/lib/$(aviversion)/xvid* debian/$(xvidplugin)/usr/lib/$(aviversion)/ ; fi
 	if test -e $(installprefix)/usr/lib/$(aviversion)/divx4.so ; then mv $(installprefix)/usr/lib/$(aviversion)/divx4* debian/$(divxplugin)/usr/lib/$(aviversion)/ ; fi
 
 	@mv $(installprefix)/usr/man/man1/* debian/$(utils)/usr/share/man/man1
@@ -186,5 +188,3 @@
 	dh_installexamples
 
 # this way we are saving few inodes and making it more user friendly
-# as doc is concentrated in one directory
-# I don't like the idea to use .link file - this is much simplier
